Skip to main content
PATCH
/
reviews
/
{id}
Update a review
curl --request PATCH \
  --url https://api.guile.app/reviews/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/merge-patch+json' \
  --data '
{
  "text": "<string>",
  "reviewTags": [
    "<string>"
  ]
}
'
{
  "text": "<string>",
  "reviewTags": [
    "<string>"
  ],
  "id": "<string>",
  "appointment": {
    "id": "<string>",
    "occursOn": "2023-11-07T05:31:56Z",
    "barber": {
      "id": "<string>",
      "givenName": "<string>",
      "surname": "<string>",
      "preferredName": "<string>",
      "biography": "<string>",
      "spokenLanguages": [
        "<string>"
      ],
      "experience": 50
    },
    "location": {
      "id": "<string>",
      "name": "<string>",
      "shopName": "<string>"
    }
  },
  "customer": {
    "id": "<string>",
    "givenName": "<string>",
    "surname": "<string>"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/merge-patch+json

Representation used to patch a review using the JSON Merge Patch format and processing rules.

text
string | null

The text content of the review.

Required string length: 1 - 1000
reviewTags
string[] | null

The review tags associated with this review. Maximum of 3 tags.

Maximum array length: 3

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

sentiment
enum<string>

The sentiment of the review.

Available options:
positive,
negative

Response

Ok. The operation succeeded.

A representation of a review.

text
string
required

The text content of the review.

Required string length: 1 - 1000
reviewTags
string[]
required

The review tags associated with this review. Maximum of 3 tags.

Maximum array length: 3

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

sentiment
enum<string>
required

The sentiment of the review.

Available options:
positive,
negative
id
string
required

The unique identifier for the review.

appointment
object
required

The appointment this review is associated with.

customer
object
required

The customer who created this review.

state
enum<string>
required

The calculated state of the review.

Available options:
pending,
approved,
rejected
createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.